
/**
 * Write a description of class GereProd here.
 * 
 * @author DCC + PRH 
 * @version teste de 2006.04.15
 */
public class GereProd
{
    public static void main (String[] args)
    {
        final int MAXSTOCK=500, MAXMODELOS=20;
        Produtos Stock;
        Modelos Coleccao;
        Modelo m;
        String[] comp1 =  {"C1","C2","C3"};
        String[] comp2 =  {"C2","C3"};
        String[] comp3 =  {"C1","C4","C5","C3"};
        String[] comp4 =  {"C1","C2"};
        String[] comp5 =  {"C4","C2","C5","C6"};
        Venda v1, v2;

        // inicializacao da Coleccao da empresa
        Coleccao = new Modelos(MAXMODELOS); 
        Coleccao.insMod(125, 60, "Juntar A com B",comp1);
        Coleccao.insMod(25, 15, "Juntar C com B",comp2);
        Coleccao.insMod(205, 90, "Juntar D e C com B",comp3);
        Coleccao.insMod(50, 30, "Juntar A com C e depois D",comp4);
        Coleccao.insMod(530, 100, "Juntar B e A com H",comp5);
        
        //Primeiro teste: 
        Coleccao.listMods();
        //Outro teste:    
        m = Coleccao.getMod(1);  m.mostraModelo();
 
        // inicializacao do Stock da empresa
        Stock = new Produtos(MAXSTOCK); 
        Stock.insProd("A01","pistola livre",1);   
        Stock.insProd("B01","calha fixa",1);           
        Stock.insProd("C01","janela horizontal",4);   
        Stock.insProd("A02","pistola fixa",2);   
        Stock.insProd("C03","janela vertical",2);   
      
        //Primeiro teste: 
        Stock.listProds(Coleccao); 
        //Outros Teste:
        Stock.listProd(Coleccao,0);
        Stock.listProd(Coleccao,4);
        Stock.listProd(Coleccao,6); 
        Stock.listProd(Coleccao,args[0]); 
        
        v1 = new Venda("v1","2006.04.16","DCC");
        v1.setVenda(Stock,"A01",12,200);
        v1.mostraVenda();
    
        v2 = new Venda("v2","2006.04.16","PRH");
        v2.setVenda(Stock,"A02",12,500);
        v2.mostraVenda();        
    }
}
